Package org.eclipse.birt.chart.device

# Interface IScriptMenuHelper

All Known Implementing Classes:
  `ScriptMenuHelper`

public interface IScriptMenuHelper
The interface defines method(s) to generate scripts for Action Value of chart model.

Since:
  2.5.2

## Method Summary

Modifier and Type
Method
Description
`String`
`getScriptValueJS(int index, ScriptValue sv, com.ibm.icu.util.ULocale locale)`
Returns scripts of 'Invoke Script' action.

## Method Details

### getScriptValueJS

String getScriptValueJS(int index, ScriptValue sv, com.ibm.icu.util.ULocale locale)
Returns scripts of 'Invoke Script' action.

Parameters:
  `index` - index of action.
  `sv` - script action.
  `locale` -
Returns:
  string script value js